import { DateValue } from '@internationalized/date';
import { CalendarProps as CalendarProps$1 } from 'react-aria';

type CalendarProps = CalendarProps$1<DateValue> & {
    showYearNavigation?: boolean;
};
declare function Calendar({ showYearNavigation, ...props }: CalendarProps): JSX.Element;

export { Calendar };
