import { CalendarDate, DateValue } from '@internationalized/date';
import { CalendarState, RangeCalendarState } from 'react-stately';

type CalendarCellProps = {
    state: CalendarState | RangeCalendarState;
    date: CalendarDate;
    currentMonth: DateValue;
};
declare function CalendarCell({ state, date, currentMonth }: CalendarCellProps): JSX.Element;

export { CalendarCell };
