import { $16f0b7bb276bc17e$export$4c842f6a241dc825, DateTimeSegment } from './chunk-6FHGNIDZ.mjs';
import { getTimestampFromTime } from './chunk-KHLKL74E.mjs';
import { Box, Flex } from '@chakra-ui/react';
import { FormLabel } from '@vygruppen/spor-input-react';
import React, { useRef } from 'react';

var TimeField = ({ state, ...props }) => {
  const ref = useRef(null);
  const { labelProps, fieldProps } = $16f0b7bb276bc17e$export$4c842f6a241dc825(props, state, ref);
  return /* @__PURE__ */ React.createElement(Box, null, /* @__PURE__ */ React.createElement(
    FormLabel,
    {
      ...labelProps,
      htmlFor: fieldProps.id,
      marginBottom: 0,
      fontSize: "mobile.xs"
    },
    props.label
  ), /* @__PURE__ */ React.createElement(Flex, { ...fieldProps, ref }, state.segments.map((segment) => /* @__PURE__ */ React.createElement(DateTimeSegment, { key: segment.type, segment, state }))), /* @__PURE__ */ React.createElement(
    "input",
    {
      type: "hidden",
      value: getTimestampFromTime(state.value),
      name: props.name
    }
  ));
};

export { TimeField };
