import { $e6afbd83fe6ebbd2$export$4c014de7c8940b4c } from './chunk-MLPRCCBP.mjs';
import { $f6c31cce2adf654f$export$45712eceda6fad21, $3ef42575df84b30b$export$9d1611c77c2fe928, $65484d02dcb7eb3e$export$457c3d6518dd4c6f } from './chunk-TKCK2CZ5.mjs';
import { IconButton } from '@vygruppen/spor-button-react';
import React, { useRef } from 'react';

// ../../node_modules/@react-aria/button/dist/import.mjs
function $701a24aa0da5b062$export$ea18c227d4417cc3(props, ref) {
  let {
    elementType = "button",
    isDisabled,
    onPress,
    onPressStart,
    onPressEnd,
    onPressChange,
    preventFocusOnPress,
    allowFocusWhenDisabled,
    onClick: deprecatedOnClick,
    href,
    target,
    rel,
    type = "button"
  } = props;
  let additionalProps;
  if (elementType === "button")
    additionalProps = {
      type,
      disabled: isDisabled
    };
  else
    additionalProps = {
      role: "button",
      tabIndex: isDisabled ? void 0 : 0,
      href: elementType === "a" && isDisabled ? void 0 : href,
      target: elementType === "a" ? target : void 0,
      type: elementType === "input" ? type : void 0,
      disabled: elementType === "input" ? isDisabled : void 0,
      "aria-disabled": !isDisabled || elementType === "input" ? void 0 : isDisabled,
      rel: elementType === "a" ? rel : void 0
    };
  let { pressProps, isPressed } = ($f6c31cce2adf654f$export$45712eceda6fad21)({
    onPressStart,
    onPressEnd,
    onPressChange,
    onPress,
    isDisabled,
    preventFocusOnPress,
    ref
  });
  let { focusableProps } = ($e6afbd83fe6ebbd2$export$4c014de7c8940b4c)(props, ref);
  if (allowFocusWhenDisabled)
    focusableProps.tabIndex = isDisabled ? -1 : focusableProps.tabIndex;
  let buttonProps = ($3ef42575df84b30b$export$9d1611c77c2fe928)(focusableProps, pressProps, ($65484d02dcb7eb3e$export$457c3d6518dd4c6f)(props, {
    labelable: true
  }));
  return {
    isPressed,
    buttonProps: ($3ef42575df84b30b$export$9d1611c77c2fe928)(additionalProps, buttonProps, {
      "aria-haspopup": props["aria-haspopup"],
      "aria-expanded": props["aria-expanded"],
      "aria-controls": props["aria-controls"],
      "aria-pressed": props["aria-pressed"],
      onClick: (e) => {
        if (deprecatedOnClick) {
          deprecatedOnClick(e);
          console.warn("onClick is deprecated, please use onPress");
        }
      }
    })
  };
}
function CalendarNavigationButton({
  icon,
  "aria-label": ariaLabel,
  ...rest
}) {
  const ref = useRef(null);
  const { buttonProps } = $701a24aa0da5b062$export$ea18c227d4417cc3(rest, ref);
  return /* @__PURE__ */ React.createElement(
    IconButton,
    {
      ...buttonProps,
      ref,
      icon,
      "aria-label": ariaLabel,
      size: "sm",
      variant: "ghost"
    }
  );
}

export { CalendarNavigationButton };
