import { AriaCalendarGridProps } from 'react-aria';
import { CalendarState, RangeCalendarState } from 'react-stately';

type CalendarGridProps = AriaCalendarGridProps & {
    state: CalendarState | RangeCalendarState;
    offset?: {
        months?: number;
    };
};
declare function CalendarGrid({ state, offset }: CalendarGridProps): JSX.Element;

export { CalendarGrid };
