import React from 'react';
import { AriaButtonProps } from 'react-aria';

type CalendarButtonProps = AriaButtonProps<"button"> & {
    icon: React.ReactElement;
    "aria-label": string;
};
declare function CalendarNavigationButton({ icon, "aria-label": ariaLabel, ...rest }: CalendarButtonProps): JSX.Element;

export { CalendarNavigationButton };
