import { DateValue } from '@internationalized/date';
import { DOMAttributes, FocusableElement } from '@react-types/shared';
import React from 'react';
import { AriaDateFieldProps } from 'react-aria';

type DateFieldProps = AriaDateFieldProps<DateValue> & {
    label?: React.ReactNode;
    labelProps?: DOMAttributes<FocusableElement>;
    name?: string;
};
declare function DateField(props: DateFieldProps): JSX.Element;

export { DateField };
