import { DateSegment, DateFieldState } from 'react-stately';

type DateTimeSegmentProps = {
    segment: DateSegment;
    state: DateFieldState;
};
/**
 * A date time segment is a part of a date or a time stamp.
 *
 * Examples could be the day, month, year, hour, minute, second, etc.
 *
 * This component should be used with the react-aria library, and is not meant to be used directly.
 * */
declare const DateTimeSegment: ({ segment, state }: DateTimeSegmentProps) => JSX.Element;

export { DateTimeSegment };
