import { $9a36b6ba2fb1a7c5$export$9a987164d97ecc90 } from './chunk-SYHHE4RH.mjs';
import { CalendarGrid } from './chunk-4CD4XPCR.mjs';
import { $46a4342aab3d8076$export$87e0539f600c24e5 } from './chunk-GYC2IJAJ.mjs';
import { CalendarHeader } from './chunk-6W5W5RQX.mjs';
import { useCurrentLocale } from './chunk-KHLKL74E.mjs';
import { Box } from '@chakra-ui/react';
import { createCalendar } from '@internationalized/date';
import React, { useRef } from 'react';

function RangeCalendar(props) {
  const locale = useCurrentLocale();
  const state = $9a36b6ba2fb1a7c5$export$9a987164d97ecc90({
    ...props,
    visibleDuration: { months: 2 },
    locale,
    createCalendar
  });
  const ref = useRef(null);
  const { calendarProps, title } = $46a4342aab3d8076$export$87e0539f600c24e5(props, state, ref);
  return /* @__PURE__ */ React.createElement(Box, { ...calendarProps, ref }, /* @__PURE__ */ React.createElement(CalendarHeader, { state, title }), /* @__PURE__ */ React.createElement(Box, { display: "flex", gap: "8" }, /* @__PURE__ */ React.createElement(CalendarGrid, { state }), /* @__PURE__ */ React.createElement(CalendarGrid, { state, offset: { months: 1 } })));
}

export { RangeCalendar };
