import { $131cf43a05231e1e$export$6d095e787d2b5e1f } from './chunk-SYHHE4RH.mjs';
import { CalendarGrid } from './chunk-4CD4XPCR.mjs';
import { $9942cad8a072a530$export$3ee915f8151bd4f1 } from './chunk-GYC2IJAJ.mjs';
import { CalendarHeader } from './chunk-6W5W5RQX.mjs';
import { useCurrentLocale } from './chunk-KHLKL74E.mjs';
import { Box } from '@chakra-ui/react';
import { createCalendar } from '@internationalized/date';
import React from 'react';

function Calendar({ showYearNavigation, ...props }) {
  const locale = useCurrentLocale();
  const state = $131cf43a05231e1e$export$6d095e787d2b5e1f({
    ...props,
    locale,
    createCalendar
  });
  const { calendarProps } = $9942cad8a072a530$export$3ee915f8151bd4f1(props, state);
  return /* @__PURE__ */ React.createElement(Box, { ...calendarProps }, /* @__PURE__ */ React.createElement(CalendarHeader, { state, showYearNavigation }), /* @__PURE__ */ React.createElement(CalendarGrid, { state }));
}

export { Calendar };
